Bug 199913 - authconfig does not autocreate home directories (no such option)
authconfig does not autocreate home directories (no such option)
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: authconfig (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2006-07-24 05:51 EDT by fredrik
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-31 06:35:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description fredrik 2006-07-24 05:51:44 EDT
Description of problem:
authconfig does not support for automatic home directory creation. This needs to
be added by hand after each run of authconfig

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:
I would expect authconfig to atleast have a option for automatic home dir creation.

Additional info:
I'm running text version of authconfig.
I have added 
session     required  /lib/security/pam_mkhomedir.so skel=/etc/skel mask=0022
to /etc/pam.d/system-auth to get the wanted functionality. Would be nice if
authconfig could do this by itself.
Comment 1 Tomas Mraz 2006-08-03 08:03:44 EDT
Please use the Issue Tracker from your support account to report such
enhancement requests against Red Hat Enterprise Linux distribution. This will
allow to get appropriate prioritization for the request. Please mention this bug
number there.
Comment 2 Tomas Mraz 2006-10-31 06:35:38 EST
This issue will be fixed in future version of Red Hat Enterprise Linux distribution.

Note You need to log in before you can comment on or make changes to this bug.